# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.paging import Paged


class OperationPaged(Paged):
    """
    A paging container for iterating over a list of :class:`Operation <azure.mgmt.datafactory.models.Operation>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Operation]'}
    }

    def __init__(self, *args, **kwargs):

        super(OperationPaged, self).__init__(*args, **kwargs)
class FactoryPaged(Paged):
    """
    A paging container for iterating over a list of :class:`Factory <azure.mgmt.datafactory.models.Factory>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[Factory]'}
    }

    def __init__(self, *args, **kwargs):

        super(FactoryPaged, self).__init__(*args, **kwargs)
class IntegrationRuntimeResourcePaged(Paged):
    """
    A paging container for iterating over a list of :class:`IntegrationRuntimeResource <azure.mgmt.datafactory.models.IntegrationRuntimeResource>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[IntegrationRuntimeResource]'}
    }

    def __init__(self, *args, **kwargs):

        super(IntegrationRuntimeResourcePaged, self).__init__(*args, **kwargs)
class LinkedServiceResourcePaged(Paged):
    """
    A paging container for iterating over a list of :class:`LinkedServiceResource <azure.mgmt.datafactory.models.LinkedServiceResource>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[LinkedServiceResource]'}
    }

    def __init__(self, *args, **kwargs):

        super(LinkedServiceResourcePaged, self).__init__(*args, **kwargs)
class DatasetResourcePaged(Paged):
    """
    A paging container for iterating over a list of :class:`DatasetResource <azure.mgmt.datafactory.models.DatasetResource>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[DatasetResource]'}
    }

    def __init__(self, *args, **kwargs):

        super(DatasetResourcePaged, self).__init__(*args, **kwargs)
class PipelineResourcePaged(Paged):
    """
    A paging container for iterating over a list of :class:`PipelineResource <azure.mgmt.datafactory.models.PipelineResource>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[PipelineResource]'}
    }

    def __init__(self, *args, **kwargs):

        super(PipelineResourcePaged, self).__init__(*args, **kwargs)
class TriggerResourcePaged(Paged):
    """
    A paging container for iterating over a list of :class:`TriggerResource <azure.mgmt.datafactory.models.TriggerResource>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[TriggerResource]'}
    }

    def __init__(self, *args, **kwargs):

        super(TriggerResourcePaged, self).__init__(*args, **kwargs)
class DataFlowResourcePaged(Paged):
    """
    A paging container for iterating over a list of :class:`DataFlowResource <azure.mgmt.datafactory.models.DataFlowResource>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[DataFlowResource]'}
    }

    def __init__(self, *args, **kwargs):

        super(DataFlowResourcePaged, self).__init__(*args, **kwargs)
class DataFlowDebugSessionInfoPaged(Paged):
    """
    A paging container for iterating over a list of :class:`DataFlowDebugSessionInfo <azure.mgmt.datafactory.models.DataFlowDebugSessionInfo>` object
    """

    _attribute_map = {
        'next_link': {'key': 'nextLink', 'type': 'str'},
        'current_page': {'key': 'value', 'type': '[DataFlowDebugSessionInfo]'}
    }

    def __init__(self, *args, **kwargs):

        super(DataFlowDebugSessionInfoPaged, self).__init__(*args, **kwargs)
