# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

try:
    from ._models_py3 import Account
    from ._models_py3 import AccountUpdateParameters
    from ._models_py3 import ADLSGen1FileDataSet
    from ._models_py3 import ADLSGen1FolderDataSet
    from ._models_py3 import ADLSGen2FileDataSet
    from ._models_py3 import ADLSGen2FileDataSetMapping
    from ._models_py3 import ADLSGen2FileSystemDataSet
    from ._models_py3 import ADLSGen2FileSystemDataSetMapping
    from ._models_py3 import ADLSGen2FolderDataSet
    from ._models_py3 import ADLSGen2FolderDataSetMapping
    from ._models_py3 import BlobContainerDataSet
    from ._models_py3 import BlobContainerDataSetMapping
    from ._models_py3 import BlobDataSet
    from ._models_py3 import BlobDataSetMapping
    from ._models_py3 import BlobFolderDataSet
    from ._models_py3 import BlobFolderDataSetMapping
    from ._models_py3 import ConsumerInvitation
    from ._models_py3 import ConsumerSourceDataSet
    from ._models_py3 import DataSet
    from ._models_py3 import DataSetMapping
    from ._models_py3 import DataShareError, DataShareErrorException
    from ._models_py3 import DataShareErrorInfo
    from ._models_py3 import DefaultDto
    from ._models_py3 import DimensionProperties
    from ._models_py3 import Identity
    from ._models_py3 import Invitation
    from ._models_py3 import OperationMetaLogSpecification
    from ._models_py3 import OperationMetaMetricSpecification
    from ._models_py3 import OperationMetaServiceSpecification
    from ._models_py3 import OperationModel
    from ._models_py3 import OperationModelProperties
    from ._models_py3 import OperationResponse
    from ._models_py3 import ProviderShareSubscription
    from ._models_py3 import ProxyDto
    from ._models_py3 import ScheduledSourceSynchronizationSetting
    from ._models_py3 import ScheduledSynchronizationSetting
    from ._models_py3 import ScheduledTrigger
    from ._models_py3 import Share
    from ._models_py3 import ShareSubscription
    from ._models_py3 import ShareSubscriptionSynchronization
    from ._models_py3 import ShareSynchronization
    from ._models_py3 import SourceShareSynchronizationSetting
    from ._models_py3 import SqlDBTableDataSet
    from ._models_py3 import SqlDBTableDataSetMapping
    from ._models_py3 import SqlDWTableDataSet
    from ._models_py3 import SqlDWTableDataSetMapping
    from ._models_py3 import SynchronizationDetails
    from ._models_py3 import SynchronizationSetting
    from ._models_py3 import Synchronize
    from ._models_py3 import Trigger
except (SyntaxError, ImportError):
    from ._models import Account
    from ._models import AccountUpdateParameters
    from ._models import ADLSGen1FileDataSet
    from ._models import ADLSGen1FolderDataSet
    from ._models import ADLSGen2FileDataSet
    from ._models import ADLSGen2FileDataSetMapping
    from ._models import ADLSGen2FileSystemDataSet
    from ._models import ADLSGen2FileSystemDataSetMapping
    from ._models import ADLSGen2FolderDataSet
    from ._models import ADLSGen2FolderDataSetMapping
    from ._models import BlobContainerDataSet
    from ._models import BlobContainerDataSetMapping
    from ._models import BlobDataSet
    from ._models import BlobDataSetMapping
    from ._models import BlobFolderDataSet
    from ._models import BlobFolderDataSetMapping
    from ._models import ConsumerInvitation
    from ._models import ConsumerSourceDataSet
    from ._models import DataSet
    from ._models import DataSetMapping
    from ._models import DataShareError, DataShareErrorException
    from ._models import DataShareErrorInfo
    from ._models import DefaultDto
    from ._models import DimensionProperties
    from ._models import Identity
    from ._models import Invitation
    from ._models import OperationMetaLogSpecification
    from ._models import OperationMetaMetricSpecification
    from ._models import OperationMetaServiceSpecification
    from ._models import OperationModel
    from ._models import OperationModelProperties
    from ._models import OperationResponse
    from ._models import ProviderShareSubscription
    from ._models import ProxyDto
    from ._models import ScheduledSourceSynchronizationSetting
    from ._models import ScheduledSynchronizationSetting
    from ._models import ScheduledTrigger
    from ._models import Share
    from ._models import ShareSubscription
    from ._models import ShareSubscriptionSynchronization
    from ._models import ShareSynchronization
    from ._models import SourceShareSynchronizationSetting
    from ._models import SqlDBTableDataSet
    from ._models import SqlDBTableDataSetMapping
    from ._models import SqlDWTableDataSet
    from ._models import SqlDWTableDataSetMapping
    from ._models import SynchronizationDetails
    from ._models import SynchronizationSetting
    from ._models import Synchronize
    from ._models import Trigger
from ._paged_models import AccountPaged
from ._paged_models import ConsumerInvitationPaged
from ._paged_models import ConsumerSourceDataSetPaged
from ._paged_models import DataSetMappingPaged
from ._paged_models import DataSetPaged
from ._paged_models import InvitationPaged
from ._paged_models import OperationModelPaged
from ._paged_models import ProviderShareSubscriptionPaged
from ._paged_models import SharePaged
from ._paged_models import ShareSubscriptionPaged
from ._paged_models import ShareSubscriptionSynchronizationPaged
from ._paged_models import ShareSynchronizationPaged
from ._paged_models import SourceShareSynchronizationSettingPaged
from ._paged_models import SynchronizationDetailsPaged
from ._paged_models import SynchronizationSettingPaged
from ._paged_models import TriggerPaged
from ._data_share_management_client_enums import (
    Type,
    ProvisioningState,
    Status,
    InvitationStatus,
    ShareKind,
    DataSetType,
    ShareSubscriptionStatus,
    SynchronizationMode,
    RecurrenceInterval,
    TriggerStatus,
    DataSetMappingStatus,
    OutputType,
)

__all__ = [
    'Account',
    'AccountUpdateParameters',
    'ADLSGen1FileDataSet',
    'ADLSGen1FolderDataSet',
    'ADLSGen2FileDataSet',
    'ADLSGen2FileDataSetMapping',
    'ADLSGen2FileSystemDataSet',
    'ADLSGen2FileSystemDataSetMapping',
    'ADLSGen2FolderDataSet',
    'ADLSGen2FolderDataSetMapping',
    'BlobContainerDataSet',
    'BlobContainerDataSetMapping',
    'BlobDataSet',
    'BlobDataSetMapping',
    'BlobFolderDataSet',
    'BlobFolderDataSetMapping',
    'ConsumerInvitation',
    'ConsumerSourceDataSet',
    'DataSet',
    'DataSetMapping',
    'DataShareError', 'DataShareErrorException',
    'DataShareErrorInfo',
    'DefaultDto',
    'DimensionProperties',
    'Identity',
    'Invitation',
    'OperationMetaLogSpecification',
    'OperationMetaMetricSpecification',
    'OperationMetaServiceSpecification',
    'OperationModel',
    'OperationModelProperties',
    'OperationResponse',
    'ProviderShareSubscription',
    'ProxyDto',
    'ScheduledSourceSynchronizationSetting',
    'ScheduledSynchronizationSetting',
    'ScheduledTrigger',
    'Share',
    'ShareSubscription',
    'ShareSubscriptionSynchronization',
    'ShareSynchronization',
    'SourceShareSynchronizationSetting',
    'SqlDBTableDataSet',
    'SqlDBTableDataSetMapping',
    'SqlDWTableDataSet',
    'SqlDWTableDataSetMapping',
    'SynchronizationDetails',
    'SynchronizationSetting',
    'Synchronize',
    'Trigger',
    'AccountPaged',
    'ConsumerInvitationPaged',
    'DataSetPaged',
    'DataSetMappingPaged',
    'InvitationPaged',
    'OperationModelPaged',
    'SharePaged',
    'ShareSynchronizationPaged',
    'SynchronizationDetailsPaged',
    'ProviderShareSubscriptionPaged',
    'SourceShareSynchronizationSettingPaged',
    'ShareSubscriptionSynchronizationPaged',
    'ShareSubscriptionPaged',
    'ConsumerSourceDataSetPaged',
    'SynchronizationSettingPaged',
    'TriggerPaged',
    'Type',
    'ProvisioningState',
    'Status',
    'InvitationStatus',
    'ShareKind',
    'DataSetType',
    'ShareSubscriptionStatus',
    'SynchronizationMode',
    'RecurrenceInterval',
    'TriggerStatus',
    'DataSetMappingStatus',
    'OutputType',
]
